<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$fseries = $_SESSION["series_" . $dbname];
$keycond = " and `series`='$fseries'";
$zroot = $_SESSION["zdbroot"];

$file = "room.php";

$keyfld = "code";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `roomno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `descrip` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `flr` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `type` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `rate` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `extra` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `roomno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `descrip` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `flr` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `type` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `rate` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `extra` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `roomno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `roomno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `descrip`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `flr`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `type`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `rate`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `extra`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT * FROM $zroot.`room` WHERE `code` != '' $keycond $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    if ($r['type'] == 'S'){
        $rtype = 'Standard';
    } else if ($r['type'] == 'D'){
        $rtype = 'Deluxe';
    } else if ($r['type'] == 'C'){
        $rtype = 'Dormitory';
    }


    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'roomno' => $r['roomno'],
        'descrip' => $r['descrip'],
        'flr' => $r['flr'],
        'type' => $rtype,
        'rate' => $r['rate'],
        'extra' => $r['extra'],
        
        'action' => "$file?mode=edit&code=$r[code]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
